package com.xunwang.ucenter.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.xunwang.ucenter.entity.MpOpenidUid;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Long
 * @since 2022-11-09
 */
public interface MiniProgramOpenidUidMapper extends BaseMapper<MpOpenidUid> {

//    Integer selectShareCourseCount(String uid);
//    Integer selectShareNeedCount(String uid);
    Integer selectShareOrderCount(String uid);
    void updateOwnQRcodeUrl(String uid, String qrurl);
    String getOwnQRcodeUrl(String uid);

    Integer selectShareTeacherCount(String uid);
}
